using System.Collections.Generic;

namespace AyaNova.Api.ControllerHelpers
{
    internal static class UserIdFromContext
    {
        internal static long Id(IDictionary<object, object> HttpContextItems)
        {

            long? l = (long?)HttpContextItems["AY_USER_ID"];
            if (l==null)
                return 0L;
            return (long)l;
        }
    }
}//eons